package net.knarcraft.blacksmith.command;

import net.knarcraft.blacksmith.BlacksmithPlugin;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabExecutor;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

public class CostCommand implements TabExecutor {

    @Override
    public boolean onCommand(@NotNull CommandSender commandSender, @NotNull Command command, @NotNull String s, @NotNull String[] arguments) {
        //TODO: Whenever a cost is specified (not for the per-material and per-enchantment costs), allow either a simple
        // cost or an ActionCost. When loading costs, first try and parse a double. If not, parse an ActionCost object.
        // TODO: The command should look like "blacksmithEdit <option> <simple|advanced> <double|economy|item|permission|exp>
        //  <double|blank/null|comma-separated-string|integer>"

        //TODO: Check arguments size
        if (arguments.length < 2) {
            return false;
        }
        switch (arguments[0]) {
            case "simple":
                // TODO: Expect the next argument to be the cost
                try {
                    Double cost = Double.parseDouble(arguments[1]);

                } catch (NumberFormatException exception) {
                    // TODO: Make this translatable?
                    BlacksmithPlugin.getStringFormatter().displayErrorMessage(commandSender, "You must supply a numeric (double) cost");
                    return true;
                }
                break;
            case "advanced":
                switch (arguments[1]) {
                    case "economy":
                        // TODO: Expect the next argument to be the cost
                        break;
                    case "item":
                        // TODO: The next argument would either be "null" to clear the value, or "mainHand" to use the item in the player's main hand
                        break;
                    case "permission":
                        // TODO: The next argument will be a comma-separated list of permissions
                        break;
                    case "exp":
                        // TODO: Expect the next argument to be an integer
                        break;
                }
                break;
            default:
                return false;
        }
        return false;
    }

    @Override
    public @Nullable List<String> onTabComplete(@NotNull CommandSender commandSender, @NotNull Command command, @NotNull String s, @NotNull String[] strings) {
        return List.of();
    }

}
