package net.knarcraft.blacksmith.container;

import net.knarcraft.blacksmith.property.SalvageMethod;
import net.knarcraft.blacksmith.property.SalvageState;
import org.bukkit.inventory.ItemStack;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * The result of an attempted salvage
 *
 * @param salvageMethod  <p>The salvage method used</p>
 * @param salvage        <p>The produced salvage</p>
 * @param salvageState   <p>The state of the salvage result</p>
 * @param requiredAmount <p>The amount of items required for the salvage</p>
 */
public record SalvageResult(@NotNull SalvageMethod salvageMethod, @NotNull List<ItemStack> salvage,
                            @NotNull SalvageState salvageState, int requiredAmount) {
}
