package net.knarcraft.blacksmith.event;

import net.citizensnpcs.api.npc.NPC;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.jetbrains.annotations.NotNull;

/**
 * The base class for all blacksmith plugin events
 */
@SuppressWarnings("unused")
public abstract class AbstractBlacksmithPluginEvent extends Event implements BlacksmithPluginEvent {

    protected final NPC npc;
    protected final Player player;
    protected final Entity entity;

    /**
     * Instantiates a new blacksmith plugin event
     *
     * @param npc    <p>The NPC involved in the event</p>
     * @param entity <p>The entity of the NPC</p>
     * @param player <p>The player involved in the event</p>
     */
    public AbstractBlacksmithPluginEvent(@NotNull NPC npc, @NotNull Entity entity, @NotNull Player player) {
        this.npc = npc;
        this.entity = entity;
        this.player = player;
    }

    @Override
    @NotNull
    public NPC getNpc() {
        return this.npc;
    }

    @Override
    @NotNull
    public Entity getEntity() {
        return this.entity;
    }

    @Override
    @NotNull
    public Player getPlayer() {
        return this.player;
    }

}
