package net.knarcraft.blacksmith.event;

import org.bukkit.Material;

/**
 * An event triggered when a blacksmith or scrapper starts reforging or salvaging an item
 */
@SuppressWarnings("unused")
public interface ActionStartEvent extends BlacksmithPluginEvent {

    /**
     * Gets the amount of ticks this action will take
     *
     * @return <p>The duration in ticks</p>
     */
    long getActionDurationTicks();

    /**
     * Gets the appropriate crafting station for this action
     *
     * @return <p>The appropriate crafting station</p>
     */
    Material getCraftingStation();

}
