package net.knarcraft.blacksmith.property;

/**
 * A representation of the different ways an item can be salvaged
 */
public enum SalvageMethod {

    /**
     * Salvaging the item normally by returning the item's crafting recipe
     */
    SALVAGE,

    /**
     * Salvaging unrepairable items normally by returning the item's crafting recipe, but with unrestricted
     */
    EXTENDED_SALVAGE,

    /**
     * Removing the armor trim from an item
     */
    ARMOR_TRIM,

    /**
     * Un-doing netherite application for an item
     */
    NETHERITE,

    /**
     * Splitting enchantments of an enchanted book
     */
    ENCHANTED_BOOK,

}
